commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tcu...@apache.org
Subject svn commit: r547392 - /jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh
Date Thu, 14 Jun 2007 20:19:47 GMT
Author: tcurdt
Date: Thu Jun 14 13:19:46 2007
New Revision: 547392

URL: http://svn.apache.org/viewvc?view=rev&rev=547392
Log:
include dirs in archives


Modified:
    jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh

Modified: jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh
URL: http://svn.apache.org/viewvc/jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh?view=diff&rev=547392&r1=547391&r2=547392
==============================================================================
--- jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh (original)
+++ jakarta/commons/proper/jci/tags/1.0-RC4/build-dists.sh Thu Jun 14 13:19:46 2007
@@ -13,15 +13,18 @@
 MAVEN_RELEASE="$BASE/target/maven-dist"
 DIST="$BASE/target/dist"
 
-rm -R $MAVEN_RELEASE 2>/dev/null || true
-rm -R $DIST 2>/dev/null || true
 
+rm -Rf $DIST 2>/dev/null || true
+find $BASE/target -name "commons-jci*" -delete
+
+
+rm -R $MAVEN_RELEASE 2>/dev/null || true
 scp -r $STAGING $MAVEN_RELEASE
 
 
 # build binary dist
 
-LIB="$DIST/bin/lib"
+LIB="$DIST/bin/commons-jci-$RELEASE-bin/lib"
 mkdir -p $LIB 2>/dev/null
 
 JARS=`find $MAVEN_RELEASE -type f -name "*-$RELEASE.jar"`
@@ -30,7 +33,7 @@
     cp $A $LIB
 done
 
-cp $BASE/LICENSE.txt $BASE/NOTICE.txt $DIST/bin
+cp $BASE/LICENSE.txt $BASE/NOTICE.txt $DIST/bin/commons-jci-$RELEASE-bin/
 
 cd $DIST/bin
 
@@ -49,8 +52,7 @@
 mkdir -p $DIST/src 2>/dev/null
 cd $DIST/src
 
-svn co $SOURCE .
-
+svn co $SOURCE commons-jci-$RELEASE-src
 
 tar czvf $BASE/target/commons-jci-$RELEASE-src.tar.gz --exclude .svn --exclude target --exclude
dist.sh .
 zip -r $BASE/target/commons-jci-$RELEASE-src.zip . -x "*.svn/*" -x "target/*"



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message